org.apache.solr.search

## Class RankQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.solr.search.ExtendedQueryBase
    - - org.apache.solr.search.RankQuery

- All Implemented Interfaces:
    ExtendedQuery
  Direct Known Subclasses:
    AbstractReRankQuery, ExportQParserPlugin.ExportQuery

      public abstract class RankQuery
      extends ExtendedQueryBase

  Note: This API is experimental and may change in non backward-compatible ways in the future

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RankQuery()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract MergeStrategy` | `getMergeStrategy()`
    `abstract TopDocsCollector` | `getTopDocsCollector(int len, QueryCommand cmd, IndexSearcher searcher)`
    `abstract RankQuery` | `wrap(Query mainQuery)`

    - ### Methods inherited from class org.apache.solr.search.ExtendedQueryBase

      `getCache, getCacheSep, getCost, getOptions, getOptionsString, setCache, setCacheSep, setCost, toString`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, createWeight, equals, hashCode, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RankQuery

          public RankQuery()

  - ### Method Detail

    - #### getTopDocsCollector

          public abstract TopDocsCollector getTopDocsCollector(int len,
                                                               QueryCommand cmd,
                                                               IndexSearcher searcher)
                                                        throws IOException

      Throws:
        `IOException`

    - #### getMergeStrategy

          public abstract MergeStrategy getMergeStrategy()

    - #### wrap

          public abstract RankQuery wrap(Query mainQuery)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.